Home ionic 3 - cannot install onesignal plugin for ios using latest xcode
Reply: 1

ionic 3 - cannot install onesignal plugin for ios using latest xcode

Axil
1#
Axil Published in 2018-01-13 03:12:42Z

I cannot create add ios platform for onesignal plugin. With android build its fine.

I did this:

$ ionic cordova platform add ios

the following errors failed.

apple-ios version check failed ("/Users/megasap/Documents/project/railerdotcom/railercom_parent/platforms/ios/cordova/apple_ios_version"), continuing anyways.

Failed to install 'onesignal-cordova-plugin': undefined

Failed to restore plugin "onesignal-cordova-plugin" from config.xml. You might need to try adding it again. Error: /Users/megasap/.rbenv/shims/pod: line 21: /usr/local/Cellar/rbenv/1.0.0/libexec/rbenv: No such file or directory

--save flag or autosave detected

Saving ios@~4.5.4 into config.xml file ...
[ERROR] Exception: 

Full execution and error here: https://gist.github.com/axilaris/a926c54eb515bef5eb2f7019e36aa40f

This used to work, i just update to latest xcode 9.2 to compile other things. Is it something wrong with using the latest xcode ?

Suraj Rao
2#
Suraj Rao Reply to 2018-01-13 07:43:37Z

The actual issue is here:

Error: /Users/megasap/.rbenv/shims/pod: line 21: /usr/local/Cellar/rbenv/1.0.0/libexec/rbenv: No such file or directory

Just update/install cocoapods to latest version as your xcode is also updated.

sudo gem install cocoapods 
You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.343692 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO